
clear all

global folder "C:\Users\Nico Voigtlnder\Dropbox\EMP\AER Submission\AER Final Package"
cd "$folder"

use EMP_Dataset_1851_Census.dta

joinby county using EMP_Dataset_County_Level.dta


quietly{
tab region, gen(d_region)

gen pastoral_1290 = (100-percarable1290)/100
gen pastoral_1836=(percgrass1836+perccommon1836)/100
gen dmv = dmvsper100kacres/100
gen lndaysgrass = ln(daysgrass)
gen ln_popdensity = ln(poppermilesq1290)

gen Males20plus = bachelors+husbands+widowers
gen Females20plus = spinsters+wives+widows
gen PopAll20plus =  Males20plus+Females20plus

gen share_Males_Unmarried = bachelors/Males20plus
gen share_Females_Unmarried = spinsters/Females20plus
gen share_All_Unmarried = (bachelors+spinsters)/PopAll20plus

gen Ag_LaborMale = Mfarmer+Mgrazier+Magrlabourer+Mshepherd+Mfarmservant+Mcowmilk
gen Ag_LaborFemale = Ffarmer+Fagrlabourer+Ffarmservant+Fcowmilk
gen Ag_LaborAll = Ag_LaborMale+Ag_LaborFemale

gen Spinster_ratio= spinsters/wives

gen share_Servants_Female = (Ffarmservant)/Ag_LaborAll
gen share_Servants_All = (Mfarmservant+Ffarmservant)/Ag_LaborAll

gen share_Manuf_All = ( Mchiefmanuf+Fchiefmanuf)/PopAll20plus
gen share_Agric = Ag_LaborAll/PopAll20plus
}

************** Regressions *****************

*Table B.8:
	reg share_Females_Unmarried share_Servants_Female,r
	reg share_Females_Unmarried share_Servants_Female share_Manuf_All,r
	ivreg2 share_Females_Unmarried (share_Servants_Female=lndaysgrass) share_Manuf_All,r 
	reg share_Females_Unmarried share_Servants_All,r
	reg share_Females_Unmarried share_Servants_All share_Manuf_All,r
	ivreg2 share_Females_Unmarried (share_Servants_All=lndaysgrass) share_Manuf_All,r 


************* Figure B.14, left panel: Partial Scatterplot *************	
reg share_Females_Unmarried share_Servants_All share_Manuf_All,r
predict y_hat
gen partial_y4a = share_Females_Unmarried - (y_hat-.185928*share_Servants_All)
drop y_hat 

twoway (lfitci partial_y4a share_Servants_All, clcolor(black) fcolor(gray)) (scatter partial_y4a share_Servants_All, mcolor(black) msymbol(circle)  msize(medlarge) mfcolor(dknavy) mlcolor(black)) ///
, xtitle(Share of Servants in Agriculture) ytitle(, size(medium)) ytitle(Proportion of unmarried women (residual)) xtitle(, size(medium))  scheme(s1color) legend(off)
	

************* Figure B.14, right panel: Partial Scatterplot *************	
reg share_Females_Unmarried pastoral_1290 share_Manuf_All,r
predict y_hat
gen partial_y4b = share_Females_Unmarried - (y_hat-.1023147*pastoral_1290)
drop y_hat 

twoway (lfitci partial_y4b pastoral_1290, clcolor(black) fcolor(gray)) (scatter partial_y4b pastoral_1290, mcolor(black) msymbol(circle)  msize(medlarge) mfcolor(dknavy) mlcolor(black)) ///
, xtitle(Share of Pastoral Land in 1290) ytitle(, size(medium)) ytitle(Proportion of unmarried women (residual)) xtitle(, size(medium))  scheme(s1color) legend(off)
		
	
	
		






